import java.util.*;


public class ObjectInfo
{
    public final static int UNKNOWN = -1;

    // object classes
    public final static int PLAYER = 0;
    public final static int BALL   = 1;
    public final static int GOAL   = 2;
    public final static int FLAG   = 3;
    public final static int LINE   = 4;

    /* object names */
    // public final static int PLAYER = 0; // already defined above
    // public final static int BALL   = 1;

    // center point of the goal
    public final static int GOAL_L      = 2;
    public final static int GOAL_R      = 3;

    // middle flag
    public final static int FLAG_C      = 4;

    // flags on the top and bottom line
    public final static int FLAG_L_T    = 5;
    public final static int FLAG_L_B    = 6;
    public final static int FLAG_C_T    = 7;
    public final static int FLAG_C_B    = 8;
    public final static int FLAG_R_T    = 9;
    public final static int FLAG_R_B    = 10;

    // flags in the penalty area
    public final static int FLAG_P_L_T  = 11;
    public final static int FLAG_P_L_C  = 12;
    public final static int FLAG_P_L_B  = 13;
    public final static int FLAG_P_R_T  = 14;
    public final static int FLAG_P_R_C  = 15;
    public final static int FLAG_P_R_B  = 16;

    // goal flags
    public final static int FLAG_G_L_T  = 17;
    public final static int FLAG_G_L_B  = 18;
    public final static int FLAG_G_R_T  = 19;
    public final static int FLAG_G_R_B  = 20;

    // virtual field flags
    public final static int FLAG_L_0    = 21;
    public final static int FLAG_R_0    = 22;
    public final static int FLAG_T_0    = 23;
    public final static int FLAG_B_0    = 24;

    public final static int FLAG_T_L_10 = 25;
    public final static int FLAG_T_L_20 = 26;
    public final static int FLAG_T_L_30 = 27;
    public final static int FLAG_T_L_40 = 28;
    public final static int FLAG_T_L_50 = 29;
    public final static int FLAG_T_R_10 = 30;
    public final static int FLAG_T_R_20 = 31;
    public final static int FLAG_T_R_30 = 32;
    public final static int FLAG_T_R_40 = 33;
    public final static int FLAG_T_R_50 = 34;

    public final static int FLAG_B_L_10 = 35;
    public final static int FLAG_B_L_20 = 36;
    public final static int FLAG_B_L_30 = 37;
    public final static int FLAG_B_L_40 = 38;
    public final static int FLAG_B_L_50 = 39;
    public final static int FLAG_B_R_10 = 40;
    public final static int FLAG_B_R_20 = 41;
    public final static int FLAG_B_R_30 = 42;
    public final static int FLAG_B_R_40 = 43;
    public final static int FLAG_B_R_50 = 44;

    public final static int FLAG_L_T_10 = 45;
    public final static int FLAG_L_T_20 = 46;
    public final static int FLAG_L_T_30 = 47;
    public final static int FLAG_L_B_10 = 48;
    public final static int FLAG_L_B_20 = 49;
    public final static int FLAG_L_B_30 = 50;

    public final static int FLAG_R_T_10 = 51;
    public final static int FLAG_R_T_20 = 52;
    public final static int FLAG_R_T_30 = 53;
    public final static int FLAG_R_B_10 = 54;
    public final static int FLAG_R_B_20 = 55;
    public final static int FLAG_R_B_30 = 56;

    public final static int LINE_L      = 57;
    public final static int LINE_R      = 58;
    public final static int LINE_T      = 59;
    public final static int LINE_B      = 60;
    public final static int LAST_MARKER = 61;

    public int     time;
    public int     objectClass;
    public String  objectName;
    public double  distance;
    public double  direction;
    public double  distChange;
    public double  dirChange;
    public double  headFacingDir;
    public double  bodyFacingDir;
    public String  teamName;
    public int     unum = -1;
    public boolean goalie;
}
