// Server configuration constants
// * should read them from the .rcssserver-server.conf file *

public class ServerConf
{
    final static String PROTOCOL_VERSION = "7.0";
    final static int    MAX_DGRAM_SIZE   = 4096;

    final static double POSX_MIN = -52.5;
    final static double POSX_MAX =  52.5;
    final static double POSY_MIN = -34.0;
    final static double POSY_MAX =  34.0;

    // * these constants do not belong to server conf, should look for a better place :-)
    final static int UNKNOWN    = -1;
    final static int LEFT_SIDE  =  1; // left side has negative x coordinates
    final static int RIGHT_SIDE = -1; // right side has positive x coordinates

    // play modes
    final static int BEFORE_KICK_OFF = 0;
    final static int PLAY_ON         = 1;
    final static int TIME_OVER       = 2;
    final static int KICK_OFF_L      = 3;
    final static int KICK_OFF_R      = 4;
    final static int FREE_KICK_L     = 5;
    final static int FREE_KICK_R     = 6;
    final static int CORNER_KICK_L   = 7;
    final static int CORNER_KICK_R   = 8;
    final static int GOAL_KICK_L     = 9;
    final static int GOAL_KICK_R     = 10;
    final static int GOAL_L          = 11;
    final static int GOAL_R          = 12;
    final static int DROP_BALL       = 13;
    final static int OFFSIDE_L       = 14;
    final static int OFFSIDE_R       = 15;
}


